# SolrQuery::addField

(PECL solr >= 0.9.2)

SolrQuery::addField — Specifies which fields to return in the result

### Beschreibung

public SolrQuery::addField(string `$field`): SolrQuery

This method is used to used to specify a set of fields to return, thereby restricting the amount of data returned in the response.

It should be called multiple time, once for each field name.

### Parameter-Liste

`field`

  The name of the field

### Rückgabewerte

Returns the current SolrQuery object

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open